Subject: Re: bug#72925: Adding JPM package for Janet

From: Suhail Singh <[email-masked]>
Date: Fri, 04 Oct 2024 23:11:30 -0400

Omar Bassam <[email-masked]> writes:

> I just submitted a new path v8. I tested in a pure container shell

Thank you.

> Can you please have another look and let me know if you have any comments

I was unable to cleanly apply v8 on master.  Additionally, it still had
some issues as reported by "guix lint".  I cleaned them up and also made
some simplifications, removed unnecessary dependencies, and fixed a bug
I observed.  I'll make a few comments on v8 for your awareness, but will
also share a v9 with my changes.

Please review v9, and if you agree with the changes mark it as
"reviewed-looks-good".  Please see
<https://libreplanet.org/wiki/Group:Guix/PatchReviewSessions2024> for
details on how to add the reviewed-looks-good usertag.

-- 
Suhail